Test::Set::RelOp::RelN Class Reference

Test for n-ary partition constraint More...

## Public Member Functions

| RelN (Gecode::SetOpType sot0, int n0, int shared0, bool withConst0)
| Create and register test.
bool | solution (const SetAssignment &x) const
| Test whether x is solution
void | post (Space &home, SetVarArray &x, IntVarArray &)
| Post constraint on x.
Public Member Functions inherited from Test::Set::SetTest
| SetTest (const std::string &s, int a, const Gecode::IntSet &d, bool r=false, int w=0)
| Constructor.
virtual void | post (Gecode::Space &, Gecode::SetVarArray &, Gecode::IntVarArray &, Gecode::Reify)
| Post reified propagator.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Additional Inherited Members

static std::string | str (Gecode::SetRelType srt)
| Map set relation to string.
static std::string | str (Gecode::SetOpType srt)
| Map set operation to string.
static std::string | str (int i)
| Map integer to string.
static std::string | str (const Gecode::IntArgs &i)
| Map integer array to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Protected Attributes inherited from Test::Set::SetTest
bool | disabled
| Whether to perform full tests for disabled propagators.
bool | testsubsumed
| Whether to check for subsumption.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for n-ary partition constraint

Definition at line 172 of file rel-op.cpp.

## Constructor & Destructor Documentation

## RelN()

Test::Set::RelOp::RelN::RelN | ( | Gecode::SetOpType | sot0,
|  | int | n0,
|  | int | shared0,
|  | bool | withConst0 )

inline

Create and register test.

Definition at line 181 of file rel-op.cpp.

## Member Function Documentation

## solution()

bool Test::Set::RelOp::RelN::solution | ( | const SetAssignment & | x | ) | const

inline virtual

Test whether x is solution

Implements Test::Set::SetTest.

Definition at line 189 of file rel-op.cpp.

## post()

void Test::Set::RelOp::RelN::post | ( | Space & | home,
|  | SetVarArray & | x,
|  | IntVarArray & | )

inline virtual

Post constraint on x.

Implements Test::Set::SetTest.

Definition at line 306 of file rel-op.cpp.

The documentation for this class was generated from the following file:

- test/set/rel-op.cpp